#ifndef _NATIVE_SCANNER_H_
#define _NATIVE_SCANNER_H_

#if ! defined(_SKIP_YYFLEXLEXER_) && ! defined(_SYSINC_FLEXLEXER_H_)
#include <FlexLexer.h>
#define _SYSINC_FLEXLEXER_H_
#endif
    
class NativeDescScanner: public yyFlexLexer
{
	std::string *d_semval;
    public:
		NativeDescScanner(std::string *sv, std::istream*);
        int yylex();
};

inline NativeDescScanner::NativeDescScanner(std::string *sv, std::istream *in)
:
	yyFlexLexer(in),
	d_semval(sv)

{}

#endif

